# hinawa-sys crate

Rust FFI bindings and wrappers for [hinawa library](https://github.com/alsa-project/libhinawa) to
operate Linux FireWire character device for asynchronous packet and topology generation
in IEEE 1394 bus.

The hinawa library version 2.5 is the minimum supported version for underlying library.

The hinawa-sys crate is automatically generated by [gir tool](https://gtk-rs.org/gir/book/) provided
by [gtk-rs project](https://gtk-rs.org/). Hinawa-3.0 file from hinawa library is used for the
generation.

## License

The hinawa-sys crate is released under [MIT license](https://spdx.org/licenses/MIT.html).

## Dependency

The hinawa-sys crate depends on FFI crates provided by [gtk-rs project](https://gtk-rs.org/) for
type/object system, event loop, and dispacher.

## Features

* dox

   * Suppress probing hinawa library. It's automatically enabled when generating documentation
     in docs.rs.

## Repository

The hinawa-sys crate is the part of ALSA project and maintained by
[ALSA gobject-introspection team](https://alsa-project.github.io/gobject-introspection-docs/).
The remote repository is located in <https://github.com/alsa-project/hinawa-rs/>.

## Support

If finding issue, please file it in <https://github.com/alsa-project/hinawa-rs/>.
